.btn-round {
    padding: 0;
    font-size: 0;
    line-height: 0;
    width: rem(40);
    height: rem(40);
    border-radius: 50%;
    background: white;
    stroke: var(--gray);
    border: 1px solid white;
    transition: var(--transition-time);
    display: flex;
    align-items: center;
    justify-content: center;

    i {
        height: rem(24);
        display: inline-block;
        flex-shrink: 0;
    }

    &:hover {
        stroke: white;
        background: var(--blue);
        transition: var(--transition-time);
    }

    &:active {
        stroke: white;
        background: var(--blue-hover);
    }

    &--gray {
        background: #FAF9F9;
    }

    @include media-breakpoint-up(md) {
        width: rem(50);
        height: rem(50);
    }
}

.button-check {
    width: 100%;
    border: none;
    outline: none;
    color: #2D2D2D;
    height: rem(76);
    padding: rem(20);
    font-size: rem(16);
    line-height: rem(20);
    cursor: pointer;
    background: white;
    border-radius: 14px;
    text-decoration: none;
    transition: var(--transition-time);
    display: flex;
    align-items: center;
    justify-content: flex-start;
    column-gap: rem(10);

    &__point {
        width: 20px;
        height: 20px;
        flex-shrink: 0;
        display: block;
        border-radius: 50%;
        position: relative;
        border: 2px solid var(--gray);
    }

    &__text {
        display: block;
        overflow: hidden;
        max-width: calc(100% - 30px);
        text-overflow: ellipsis;
    }

    &__plus {
        font-size: 0;
        line-height: 0;
        height: rem(14);
        display: inline-block;
    }

    &:hover {
        color: #2D2D2D;
        background: #FAFCFF;
        text-decoration: none;
        transition: var(--transition-time);
    }

    &.active {
        color: var(--blue);
        background: #FAFCFF;

        .button-check {

            &__point {
                border: none;
                background: rgba(1, 118, 246, 0.2);

                &:before {
                    top: calc(50% - 6px);
                    left: calc(50% - 6px);
                    content: '';
                    width: 12px;
                    height: 12px;
                    border-radius: 50%;
                    position: absolute;
                    background: var(--blue);
                }
            }
        }
    }

    &--dashed {
        color: var(--blue);
        stroke: var(--blue);
        background: transparent;
        justify-content: center;
        border: 1px dashed var(--blue);

        &:hover {
            color: var(--blue);
        }
    }
}

.btn-icon {
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    width: rem(18);
    height: rem(18);
    stroke: #C7C7C7;
    display: block;
    background: transparent;
    transition: var(--transition-time);
    flex-shrink: 0;

    &:hover {
        stroke: var(--black);
        transition: var(--transition-time);
    }

    &:active {
        stroke: var(--gray-dark);
    }

    &--md {
        width: rem(24);
        height: rem(24);
    }

    &--dark {
        stroke: var(--dark);

        &:hover {
            stroke: var(--blue);
        }

        &:active {
            stroke: var(--dark);
        }
    }
}

.btn-filter {
    min-width: inherit;
    min-height: rem(36);

    &:after {
        display: none !important;
    }

    @include media-breakpoint-up(md) {
        min-width: rem(170);
        min-height: rem(50);
    }
}

.btn-text {
    padding: 0;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-block;
    background: transparent;

    &:after {
        display: none;
    }
}

.btn-link {
    padding: 0;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: rem(14);
    line-height: rem(20);
    text-decoration: none;
    background: transparent;
    color: var(--gray-dark);
    stroke: var(--gray-dark);
    display: inline-flex;
    align-items: center;
    column-gap: rem(4);

    i {
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        height: rem(16);
        display: inline-block;
    }

    &:hover {
        color: var(--gray-dark);
        stroke: var(--gray-dark);
        text-decoration: underline;
    }
}

.btn-input {
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 10;
    width: 50px;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    stroke: #C7C7C7;
    position: absolute;
    background-color: transparent;
    transition: var(--transition-time);
    display: flex;
    align-items: center;
    justify-content: center;

    i {
        width: 18px;
        height: 18px;
        display: block;
        flex-shrink: 0;
    }

    &:hover {
        stroke: var(--blue);
        transition: var(--transition-time);
    }

    &:active {
        stroke: #C7C7C7;
    }
}
